## testrunner-lite 1.3.12

=== debian/changelog ===
testrunner-lite (1.3.12) unstable; urgency=low

  * Added handling for SIGINT (BMC#6269)
  * Removed verbose option from curl (http logging)

 -- Sampo Saaristo <ext-sampo.2.saaristo@nokia.com>  Thu, 16 Sep 2010 08:24:02 +0300

testrunner-lite (1.3.11) unstable; urgency=low
  * Support for printing step output (-P) (BMC#5979)

 -- Sampo Saaristo <ext-sampo.2.saaristo@nokia.com>  Tue, 14 Sep 2010 10:28:52 +0300

testrunner-lite (1.3.10) unstable; urgency=low

  * Information about filters improved on man page (BMC#5918)
  * Supported filter types listed on --help output (BMC#5917)
  * Automatic/manual selection enabled on test step level (BMC#5716)
  * Handling for description element in case (BMC#6018)
  * Flushes stdout after manual results and log messages (by Kyösti Ranto)

 -- Sampo Saaristo <ext-sampo.2.saaristo@nokia.com>  Fri, 03 Sep 2010 10:15:27 +0300

testrunner-lite (1.3.9) unstable; urgency=low

  * Fixes: NB#178835 - Testrunner-lite breaks logged command lines at semicolons
  * Fixed logging levels for http log

 -- Sampo Saaristo <ext-sampo.2.saaristo@nokia.com>  Fri, 23 Jul 2010 09:44:49 +0300
