=== debian/control ===
Source: testrunner-lite
Section: misc
Priority: optional
Maintainer: Sampo Saaristo <ext-sampo.2.saaristo@nokia.com>
Build-Depends: debhelper (>= 5), libtool, autoconf, libxml2-dev, doxygen, check, libcurl3-dev, libtool
Standards-Version: 3.8.0

Package: testrunner-lite
Architecture: any
Depends: libxml2, test-definition, libcurl3, openssh [armel], ssh [i386], testrunner-lite-hwinfo
Description: generic test executor tool

Package: testrunner-lite-doc
Section: doc
Architecture: all
Description: Doxygen documentation in html format

Package: testrunner-lite-hwinfo-maemo
Provides: testrunner-lite-hwinfo
Depends: sysinfo-tool [armel]
Conflicts: testrunner-lite-hwinfo-meego
Section: utils
Architecture: any
Description: Library for obtaining hardware information in maemo environment

#Package: testrunner-lite-hwinfo-meego
#Provides: testrunner-lite-hwinfo
#Conflicts: testrunner-lite-hwinfo-maemo
#Section: utils
#Architecture: any
#Description: Library for obtaining hardware information in meego environment

Package: testrunner-lite-tests
Section: tests
Architecture: any
Depends: ci-testing, testrunner-lite, check, ${shlibs:Depends}
XB-Maemo-CI-Packages: testrunner-lite
XB-Maemo-CI-Stage: fast, staging, acceptance, validation
Description: Unit tests for testrunner

Package: testrunner-lite-regression-tests
Section: tests
Architecture: any
Depends: ci-testing, testrunner-lite, libxml2-utils, ${shlibs:Depends}
XB-Maemo-CI-Packages: testrunner-lite
XB-Maemo-CI-Stage: fast, staging, acceptance, validation
Description: Regression tests for testrunner
