## testrunner-lite 1.3.16

=== debian/changelog ===
testrunner-lite (1.3.16) unstable; urgency=low

  * Fixes: NB#197117 - verbose testrunner-lite fails to find sysinfo-tool

 -- Lahtinen Sami <ext-sami.t.lahtinen@nokia.com>  Mon, 18 Oct 2010 16:09:07 +0300

testrunner-lite (1.3.15) unstable; urgency=low

  * Addded handling for SIGTERM (BMC#6269)

 -- Sampo Saaristo <ext-sampo.2.saaristo@nokia.com>  Mon, 11 Oct 2010 12:44:21 +0300

testrunner-lite (1.3.14) unstable; urgency=low

  * Changes to rpm packaging (BMC#8044)

 -- Sampo Saaristo <ext-sampo.2.saaristo@nokia.com>  Thu, 07 Oct 2010 12:45:40 +0300

testrunner-lite (1.3.13) unstable; urgency=low

  * Fixes: NB#195088 -  testrunner-lite uses "on-the-fly" created script
  * Fixed dependencies to ssh/openssh

 -- Sampo Saaristo <ext-sampo.2.saaristo@nokia.com>  Tue, 28 Sep 2010 13:59:06 +0300
