=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: testrunner-lite
 Section: misc
 Priority: optional
-Maintainer: Sampo Saaristo <ext-sampo.2.saaristo@nokia.com>
+Maintainer: Pavel Zubarev <zps@osll.spb.ru>
 Build-Depends: debhelper (>= 5), libtool, autoconf, libxml2-dev, doxygen, check, libcurl3-dev, libtool
 Standards-Version: 3.8.0
 
 Package: testrunner-lite
 Architecture: any
-Depends: libxml2, test-definition, libcurl3, openssh [armel], ssh [i386], testrunner-lite-hwinfo
+Depends: libxml2, test-definition, libcurl3, openssh | ssh, testrunner-lite-hwinfo
 Description: generic test executor tool
 
 Package: testrunner-lite-doc
